import 'package:cl_appbase/bloc.dart';
import 'package:cl_appbase/src/bloc/reactive_collection/collection_state_model.dart';

abstract class CollectionController<Item> {
  final Collection<Item> collection;

  Stream<PropertyState<CollectionStateModel>> get stream;

  CollectionController(this.collection);

  void dispose();
}
